package heat
  model heat_eq
    constant Integer num = 100;
    Real u[num](each start = 0);
    parameter Real alpha = 1;
    parameter Real dx = 1;
  initial equation
    for i in 2:integer(num / 10) loop
      u[i] = 1;
    end for;
  equation
    u[1] = u[2];
    u[num - 1] = u[num];
    for i in 2:num - 1 loop
      der(u[i]) = (u[i + 1] - 2 * u[i] + u[i - 1]) * alpha / dx;
    end for;
    annotation(Icon(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {2, 2})), Diagram(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {2, 2})));
  end heat_eq;
  annotation(Icon(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {2, 2})), Diagram(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {2, 2})));
end heat;